BLK_EXECUTE_RQ_NOWAI(9)

NAME
blk_execute_rq_nowait - insert a request into queue for execution

SYNOPSIS

void blk_execute_rq_nowait(struct request_queue * q, struct gendisk * bd_disk, struct request * rq, int at_head, rq_end_io_fn * done);

ARGUMENTS

q
    queue to insert the request in

bd_disk
    matching gendisk

rq
    request to insert

at_head
    insert request at head or tail of queue

done
    I/O completion handler

DESCRIPTION

Insert a fully prepared request at the back of the I/O scheduler queue for execution. Don't wait for completion.

NOTE

This function will invoke done directly if the queue is dead.

COPYRIGHT